Run electron app in CentOS 6, getting /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found


#1

Is electron app supported in RedHat 6 and below? trying to install electron app and getting exception /lib/libstdc++.so.6: version `GLIBCXX_3.4.15’ not found. Same can be replicated in CentOS 6. Trying to build from CentOS 6, but it need latest gcc and expecting too many changes in the system.
Any help will be appreciated.


#2

The platforms that have been verified to work and are supported are here:

http://electron.atom.io/docs/tutorial/supported-platforms/


#3

Thanks for the info.


#4

Indeed, @titus.bensigar, I’m in the same boat to support an electron app in CentOS 6 (aka RedHat 7). This is not far outside of the world of supported platforms. I’m surprised that Linux is considered supported, without support of RedHat 6 (and the C/C++ runtime libraries associated with Redhat 6).

I’m trying to compile from scratch, but it is quite difficult, with so many dependencies built on clang, also which is in the source package as a binary, also with the same C/C++ runtime library dependencies.

I’m not as impressed with the cross-platform-ness as the introductory videos led on.